<?php

namespace Drupal\string_unique\Feeds\Target;

use Drupal\Core\Field\FieldDefinitionInterface;
use Drupal\feeds\Feeds\Target\StringTarget;
use Drupal\feeds\FieldTargetDefinition;

/**
 * Defines a string_unique field mapper.
 *
 * @FeedsTarget(
 *   id = "string_unique",
 *   field_types = {
 *     "string_unique"
 *   }
 * )
 */
class StringUnique extends StringTarget {

  /**
   * {@inheritdoc}
   */
  protected static function prepareTarget(FieldDefinitionInterface $field_definition) {
    $definition = FieldTargetDefinition::createFromFieldDefinition($field_definition)
      ->addProperty('value');

    if ($field_definition->getType() === 'string_unique') {
      $definition->markPropertyUnique('value');
    }
    return $definition;
  }

}
