<?php

namespace Drupal\string_unique\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if an entity field has a unique value.
 *
 * @Constraint(
 *   id = "StringUnique",
 *   label = @Translation("Unique string constraint", context = "Validation"),
 * )
 */
class StringUniqueConstraint extends Constraint {

  public $message = 'A @entity_type of @bundle with @field_name %value already exists.';

  /**
   * {@inheritdoc}
   */
  public function validatedBy() {
    return '\Drupal\string_unique\Plugin\Validation\Constraint\StringUniqueValueValidator';
  }

}
